Skip to content

Fleet Remarketing External API (0.0.1)

The Fleet Remarketing External API it's a set of services to share our data with interested external partners

Download OpenAPI description
Languages
Servers
Mock server
https://docs.finn.com/_mock/api/remarketing/openapi/
Production environment
https://partners.finn.com/api/v1/

Cars

Operations related to cars

Operations

List car inventory by filter

Request

Lists all car inventory for remarketing that meets the filter criteria. You can use a range of filters on the list returned, including filtering by:

  • Brand name
  • Color
  • Expected return date
  • Model name
  • Vehicle identification number (VIN)
  • Model Year
  • Configuration ID
  • Trim
  • Registration Dates
  • Engine
  • Latest Mileages
  • Fuel
  • Co2 emission
  • Car lifecycle status

You can also apply sorting on the list returned by the following properties:

  • Expected return date
  • Date First Registration
  • Damage Deductible
  • Latest Mileage
  • Brand Name
  • Model Name
  • Vin
  • Location Name
  • Color
  • Trim
  • Engine
  • Latest Mileage
  • Shift
  • Fuel Name
  • Model Year
  • Offer Statuses
Security
ApiKeyAuth and BearerAuth
Query
brandsstring

Filter by brand names (comma-separated)

Example: brands=Tesla,Audi
modelsstring

Filter by model names (comma-separated)

Example: models=Grand Cherokee L,C5 Aircross
fuelTypesstring

Filter by fuel types (comma-separated)

Example: fuelTypes=Diesel,Electric
carTypesstring

Filter by car types (comma-separated)

Example: carTypes=SUV,Sedan
vinsstring

Filter by VINs (comma-separated)

Example: vins=VXKUPHNKSM4280660,VXKUPHNKSM4280661
locationNamesstring

Filter by location names (comma-separated)

Example: locationNames=compound_glovis_philadelphia
shiftsstring

Filter by gear shifts (comma-separated)

Example: shifts=Automatic,Manual
warrantyStatusesstring

Filter by warranty statuses (comma-separated)

opsDefleetingChannelsstring

Filter by ops defleeting channels (comma-separated)

mileageFrominteger

Filter by minimum latest mileage

Example: mileageFrom=10000
mileageTointeger

Filter by maximum latest mileage

Example: mileageTo=50000
priceFromnumber

Filter by minimum offer price

Example: priceFrom=5000
priceTonumber

Filter by maximum offer price

Example: priceTo=20000
damageDeductibleFromnumber

Filter by minimum damage deductible

damageDeductibleTonumber

Filter by maximum damage deductible

msrpPriceFromnumber

Filter by minimum MSRP price

msrpPriceTonumber

Filter by maximum MSRP price

sortBystring

Sort by a property, add (-) in front of the property to sort descending

Enum"expectedDefleetingDate""offerPrice""offerCreatedAt"
Example: sortBy=-expectedDefleetingDate
currentPageinteger

The current page of the list, for pagination purposes. Defaults to 1

perPageinteger

The amount of items per page, for pagination purposes. Defaults to 25

curl -i -X GET \
  'https://docs.finn.com/_mock/api/remarketing/openapi/cars?brands=Tesla%2CAudi&models=Grand+Cherokee+L%2CC5+Aircross&fuelTypes=Diesel%2CElectric&carTypes=SUV%2CSedan&vins=VXKUPHNKSM4280660%2CVXKUPHNKSM4280661&locationNames=compound_glovis_philadelphia&shifts=Automatic%2CManual&warrantyStatuses=string&opsDefleetingChannels=string&mileageFrom=10000&mileageTo=50000&priceFrom=5000&priceTo=20000&damageDeductibleFrom=0&damageDeductibleTo=0&msrpPriceFrom=0&msrpPriceTo=0&sortBy=-expectedDefleetingDate&currentPage=0&perPage=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-Api-Key: YOUR_API_KEY_HERE'

Responses

Inventory

Bodyapplication/json
offeredCarsArray of objects(CarInventory)
paginationobject(Pagination)
Response
application/json
{ "offeredCars": [ {} ], "pagination": { "current_page": 1, "last_page": 2, "per_page": 25, "total": 26 } }

Gets all configuration information available for a specific car.

Request

Security
ApiKeyAuth and BearerAuth
Path
finnCarIdstringrequired
Example: 34nk23on
curl -i -X GET \
  https://docs.finn.com/_mock/api/remarketing/openapi/cars/34nk23on \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-Api-Key: YOUR_API_KEY_HERE'

Responses

CarConfiguration

Bodyapplication/json
dataobject(CarConfiguration)required
data.​config_idinteger
Example: 1
data.​brand_namestring or null
Example: "Tesla"
data.​model_namestring or null
Example: "Model 3"
data.​model_yearinteger or null
Example: 2022
data.​trim_namestring or null
Example: "Long Range"
data.​engine_namestring or null
Example: "Long Range AWD"
data.​consumption_combinednumber or null
Example: 25
data.​consumption_citynumber or null
Example: 22
data.​consumption_highwaynumber or null
Example: 30
data.​fuelstring or null
Example: "Electric"
data.​gearshiftstring or null
Example: "Automatic"
data.​power_kwnumber or null
Example: "258 (KW)"
data.​co2_emissionnumber or null
Example: 123
data.​co2_classstring or null
Enum"A""B""C""D""E""F""G"
Example: "A"
data.​ev_rangenumber or null
Example: 200
data.​hybrid_electric_rangenumber or null
Example: 234
data.​variant_idinteger or null
Example: 22
data.​doorsinteger or null
Example: 5
data.​body_typestring or null
Example: "Sedan"
data.​drivestring or null
Example: "All-Wheel Drive"
data.​has_hitchboolean
Example: true
data.​seatsinteger or null
Example: 5
data.​version_namestring or null
Example: "2.8 D-4D Comfort"
data.​exterior_colorobject(WebsiteColor)
data.​interior_colorobject(WebsiteColor)
data.​msrpnumber or null
Example: 51440
data.​equipmentsArray of objects(WebsiteEquipment)
data.​descriptionstring or null
Example: "This is a really nice car"
data.​car_imagesArray of objects(CarImages)
data.​config_attachmentobject or null
data.​energy_labelobject or null
Response
application/json
{ "data": { "config_id": 1, "brand_name": "Tesla", "model_name": "Model 3", "model_year": 2022, "trim_name": "Long Range", "engine_name": "Long Range AWD", "consumption_combined": 25, "consumption_city": 22, "consumption_highway": 30, "fuel": "Electric", "gearshift": "Automatic", "power_kw": "258 (KW)", "co2_emission": 123, "co2_class": "A", "ev_range": 200, "hybrid_electric_range": 234, "variant_id": 22, "doors": 5, "body_type": "Sedan", "drive": "All-Wheel Drive", "has_hitch": true, "seats": 5, "version_name": "2.8 D-4D Comfort", "exterior_color": {}, "interior_color": {}, "msrp": 51440, "equipments": [], "description": "This is a really nice car", "car_images": [], "config_attachment": {}, "energy_label": {} } }